=== debian/changelog ===
pure-odbc (0.9-2) natty; urgency=low

  * Prevent zipping of examples

 -- Albert Graef <Dr.Graef@t-online.de>  Sun, 27 May 2012 00:02:54 +0200

pure-odbc (0.9-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 17:29:33 +0200
