=== debian/control ===
Source: pure-odbc
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libgmp3-dev, unixodbc-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-odbc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ODBC interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a module for accessing ODBC databases
 in Pure.
